body{
    margin: 0;
    background: #eff3f6;
}
.nav-bar{
    background: #e2e5e8;
}
.container-main{
    width: 100%;
    display: flex;
    justify-content: center;
}
.payment-body{
    position: relative;
    min-height: 400px;
    width: 70%;
    padding: 20px;
    background: white;
    border-radius: 25px;
    margin-bottom: 50px;
}

.payment-title{
    width: 100%;
    display: flex;
    justify-content: center;
}
.payment-title h2{
    width: calc(70% + 30px);

}

.bord-red {
    border-bottom: solid 2px #ff1414;
}
.logo{
    width: 150px;
    margin: 0 15px;
}
.showinvoice {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 40px ;
}

#payment-form {
    position: relative;
    display: flex;
    justify-content: space-between;
    /*width: 30vw;
    min-width: 500px;*/
    align-self: center;
    border-radius: 7px;
    padding: 40px;
}

.fadeInPay {
    animation: fadeIn 1s ease-in forwards;
}

.container-pay {
    display: flex;
}

.info-payment{
    margin: 5px;
    padding: 15px;
    border-radius: 7px;
    border: solid 1px #e6e6e6;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
    width: 50%;
    transition: all 0.5s;
}

.recap {
    width: 50%;
}
.product{
    margin: 5px;
    border-radius: 7px;
    border: solid 1px #e6e6e6;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
    overflow-y: scroll;
    max-height: 600px;
}

.total-price{
    margin: 15px 5px 5px;

    border-radius: 7px;
    border: solid 1px #e6e6e6;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
    overflow-y: scroll;
    max-height: 600px;
}

.tradLine-content {
    display:flex;
    justify-content: space-between;
}
.tradLine-product {
    width: 20%;
}
.end{
    display: flex;
    justify-content: end;
}
.paiement-desc{
    margin-left: 15px;
}
.totalLine-content{
    padding: 15px;
}
.totalLine-product{
    display: flex;
    justify-content: space-between;
    padding: 5px;
    color: #30313D;
}

.legend,
.productLine{
    padding:15px;
    border-top: solid 1px #e6e6e6;
}
.offeringLine{
    padding:15px;
}

.hidden {
    display: none;
}

label{
    margin-bottom: 0.25rem;
    font-size: 0.93rem;
    font-weight: 400;
    color: #30313D;
}

.input-box{
    height: 44.39px;
    padding: 12px 51.2px 12px 12px;
}

a{
    color: #2c48d4;
}

.powered{
    margin-top: 15px;
    float: inline-end;
}

.info-msg{
    font-size: 0.93rem;
    color: #df1b41
}

/*#img{
  border-radius: 15px;
}*/

#error-message {
    color: rgb(209, 68, 68);
    font-size: 16px;
    line-height: 20px;
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
}

#payment-element {
    margin-bottom: 30px;
    margin-top: 14px;
}

/* Buttons and links */
button.stripebtn {
    background: #5469d4;
    font-family: Arial, sans-serif;
    color: #ffffff;
    border-radius: 4px;
    border: 0;
    padding: 12px 16px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease;
    box-shadow: 0px 4px 5.5px 0px rgba(0, 0, 0, 0.07);
    width: 100%;
}
button:hover.stripebtn {
    filter: contrast(115%);
}
button:disabled.stripebtn {
    opacity: 0.5;
    cursor: default;
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1); /* Couleur de fond du spinner */
    width: 20px; /* Largeur du spinner */
    height: 20px; /* Hauteur du spinner */
    border-radius: 50%; /* Rend le spinner circulaire */
    border-left-color: #ffffff; /* Couleur de la partie animée du spinner */

    position: relative;
    animation: spin 1s linear infinite; /* Animation de rotation */
}

@keyframes fadeIn {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes loading {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes loading {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@media only screen and (max-width: 1500px) {
    .payment-body{
        width: 90%;
    }
    .payment-title h2{
        width: calc(90% + 30px);
    }

}
@media only screen and (max-width: 1085px) {
    #payment-form{
        flex-direction: column-reverse;
        padding: 0;
        width: 100%;
    }
    .recap{
        width: 100%;
    }
    .info-payment{
        width: calc(100% - 43px);
    }
    .showinvoice{
        padding: 0;
    }
}
